Subject: bug#13821: which-func-ff-hook errors

From: Jambunathan K <[email-masked]>
Date: Wed, 27 Feb 2013 00:09:07 +0530

For me it comes from an Org file that has a heading with no title but
just a bullet.

Here is a simple recipe:

1. emacs -Q
2. M-x which-function-mode
3. C-x C-f debug.org (file attached, outline with no heading)

See the following error 

   which-func-ff-hook error: (wrong-type-argument stringp nil)

Nate Schley <[email-masked]> writes:

> Jambunathan -- thanks for the advice. Glad I'm not alone.
>
> FWIW, I've been getting this for many weeks using recent versions of
> CEDET off the bzr branch. I'm using 24.2 on windows.
>
> 2013/2/26 Jambunathan K <[email-masked]>
>
>     I reported a bug with similar symptoms a few hours ago.
>     
>     http://debbugs.gnu.org/cgi/bugreport.cgi?bug=13821
>     
>     
>     
>     > Folks,
>     >
>     > Every time I open a file, I get the following error:
>     >
>     > which-func-ff-hook error: (wrong-type-argument listp unbound)
>     >
>     > A quick check shows which-func-ff-hook calls the function ID'd
>     by
>     > imenu-create-index-function, which is
>     semantic-create-imenu-index.
>     >
>     > I don't have the time and elisp skills to diagnose this beyond
>     this:
>     > the error occurs after the follow sexp is processed and the `or'
>     tests
>     > are nil and nil
>     > (semantic-create-imenu-directory-index
>     > (or stream (semantic-fetch-tags-fast)))
>     >
>     > Does anyone have any thoughts about how to resolve this?
>     
>     --